SOLVED ModSecurity™ Tools The following exception has occurred: API failure

JerryB

Member
Dec 7, 2016
6
0
1
NL
cPanel Access Level
DataCenter Provider
Hi,

when we click on ModSecurity™ Tools
we see the following error:
Error: The following exception has occurred: API failure: (XID Xxxx) Access denied for user 'modsec'@'XXXXXXX' (using password: YES)

XXXXXXX should be our external database server.
Where can I change the DB host?

Already tried:
[email protected] [~]# /usr/local/cpanel/scripts/setup_modsec_db
info [setup_modsec_db] Initialized ModSecurity™ database.
[email protected] [~]#
 

JerryB

Member
Dec 7, 2016
6
0
1
NL
cPanel Access Level
DataCenter Provider
Upgraded our test system to:
CLOUDLINUX 6.8 x86_64 VMware
WHM 60.0 (build 26)

Same error.

Error: The following exception has occurred: API failure: (XID XXXX) Database Connect Error: Access denied for user 'modsec'@'web02.XXXXXXXXXX.XXX(using password: YES)
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,202
363
Feel free to open a support ticket using the link in my signature so we can take a closer look. You can post the ticket number here so we can update this thread with the outcome.

Thank you.
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,202
363
I'm happy to see the issue is now resolved. Thank you for updating us with the outcome.